regina::StandardTriangulation Class Referenceabstract
Standard Triangulations and Subcomplexes

Describes a triangulation or subcomplex of a triangulation whose structure is well-understood. More...

`#include <subcomplex/standardtri.h>`

Inheritance diagram for regina::StandardTriangulation:

## Public Member Functions

virtual | ~StandardTriangulation ()
| A destructor that does nothing. More...
std::string | name () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | TeXName () const
| Returns the name of this specific triangulation in TeX format. More...
virtual Manifold * | manifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
virtual AbelianGroup * | homology () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
AbelianGroup * | homologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual std::ostream & | writeName (std::ostream &out) const =0
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
virtual std::ostream & | writeTeXName (std::ostream &out) const =0
| Writes the name of this triangulation in TeX format to the given output stream. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
virtual void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static StandardTriangulation * | isStandardTriangulation (Component< 3 > *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static StandardTriangulation * | isStandardTriangulation (Triangulation< 3 > *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Detailed Description

Describes a triangulation or subcomplex of a triangulation whose structure is well-understood.

A StandardTriangulation is generally connected with a real triangulation, i.e., a Triangulation<3> object, which it describes some portion of.

In general StandardTriangulation objects cannot be constructed directly, but are instead created through static identification routines such as StandardTriangulation::isStandardTriangulation(Triangulation<3>*).

Subclasses corresponding to different families of triangulations may, but not need to, override the output routines writeTextShort() and writeTextLong(). This class offers sensible default implementations of both routines, which call the pure virtual function writeName() (which every subclass must override).

## Member Function Documentation

## detail()

std::string regina::Output< StandardTriangulation , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< StandardTriangulation , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< StandardTriangulation , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- subcomplex/standardtri.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).